summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorwchang kim <wchang.kim@samsung.com>2016-07-28 11:19:09 +0900
committerwchang kim <wchang.kim@samsung.com>2016-07-29 16:32:41 +0900
commit9c46953a0ed423efff156557e93448736d75ea8d (patch)
treee1da82ea87bf8948f14da85f1d666b67ed45f4a0 /autogen.sh
parent146ddab6213428a7b2865d10311525a1f549957c (diff)
downloadsystem-plugin-9c46953a0ed423efff156557e93448736d75ea8d.tar.gz
system-plugin-9c46953a0ed423efff156557e93448736d75ea8d.tar.bz2
system-plugin-9c46953a0ed423efff156557e93448736d75ea8d.zip
Description : Adding new package of liblazymount and build enviroment for autotools
Adding new pacakge for lazy mount feature. It has the library and path activator service for mounting user patition(/opt/usr). Adding the build environment for autotools. This change need the change of BuildArch for system-plugin. system-plugin-<version>.noarch.rpm --> system-plugin-<version>.<arch>.rpm Change-Id: I107e7610659fcbbcda7b8b27abb645251c069296 Signed-off-by: Woochang Kim <wchang.kim@samsung.com>
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..968bc8e
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+if [ -f .git/hooks/pre-commit.sample ] && [ ! -f .git/hooks/pre-commit ]; then
+ # This part is allowed to fail
+ cp -p .git/hooks/pre-commit.sample .git/hooks/pre-commit && \
+ chmod +x .git/hooks/pre-commit && \
+ echo "Activated pre-commit hook." || :
+fi
+
+# README and INSTALL are required by automake, but may be deleted by
+# clean up rules. to get automake to work, simply touch these here,
+# they will be regenerated from their corresponding *.in files by
+# ./configure anyway.
+touch README INSTALL
+
+# Make sure m4 directory exist
+mkdir -p m4
+
+autoreconf --force --install --verbose || exit $?